Bug 692842 - Group Summary details fields edit icon should not be displayed for a user without 'Manage Inventory' permission
Group Summary details fields edit icon should not be displayed for a user wit...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: Ian Springer
Corey Welton
:
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2011-04-01 06:50 EDT by Sunil Kondkar
Modified: 2013-08-05 20:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-23 21:11:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sunil Kondkar 2011-04-01 06:50:18 EDT
Description of problem:

Mixed group summary details fields (Name, Description, Recursive) display the edit icon (pencil icon) and the mouseover text (Edit)
for a user not having the 'Manage Inventory' permission. Trying to change values for these fields gives PermissionException.

Version-Release number of selected component (if applicable):

build#1113 (Version: 4.0.0-SNAPSHOT Build Number: ce940ee)

How reproducible:

Always

Steps to Reproduce:

1. Create a user and mixed group.
2. Create a role without 'Manage Inventory' permission.
3. Assign the created user and mixed group to the role.
4. Login to RHQ with the created user
5. Navigate to 'Inventory menu->Mixed Group'.
6. Click on the "expand" arrow near the group name.
7. Mouseover to the Summary details fields (Name, Description, Recursive)- It displays the edit icons (pencil icon) and mouseover text (Edit)
8. Click on the edit icons and try to change the values for fields Name, Description, Recursive. It gives PermissionException.

Actual results:

Group summary details fields display the edit icon (pencil icon) and mouseover text (Edit) for a user without 'Manage Inventory' permission

Expected results:

Group summary details fields should not display the edit icon (pencil icon) and mouseover text (Edit) for a user without 'Manage Inventory' permission.

Additional info:
Comment 1 Ian Springer 2011-04-01 11:09:19 EDT
Fixed - [master 4e353c1].

Note, this was an issue for compatible groups as well.
Comment 2 Sunil Kondkar 2011-04-05 04:04:50 EDT
Verified on build#1123  (Version: 4.0.0-SNAPSHOT Build Number: 08da74a)

Group summary details fields do not display the edit icon (pencil icon) and
mouseover text (Edit) for a user without 'Manage Inventory' permission.

Verified for mixed as well as for compatible group.

Marking as verified.
Comment 3 Corey Welton 2011-05-23 21:11:28 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 4 Corey Welton 2011-05-23 21:11:28 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.